This MindTouch Deki has expired; please contact your system administrator. Visit MindTouch.com for activation information.
Project:Zmanda Recovery Manager for MySQL 3.8 > ZRM Enterprise Edition 3.8 Release Notes

ZRM Enterprise Edition 3.8 Release Notes

ZRM Enterprise 3.8 provides new functionality and has fixes for the issues reported by ZRM Enterprise customers (see the changes below).  There is no 3.8 Windows server or client release.

ZRM Enterprise 3.8 server works with ZRM Windows Client 3.7. 

Compatibility with previous versions of ZRM Enterprise

  • ZRM Enterprise 3.8 Installer detects the existing installation of ZRM Enterprise 3.7.  Users can upgrade  from ZRM Enterprise 3.7 release automatically. Please save the configuration when prompted during the upgrade process.

Upgrading to ZRM Enterprise 3.8

You can upgrade from ZRM server from 3.7 to 3.8 by running the ZRM server 3.8 installer. It will automatically detect the presence of earlier installation and prompt the user for the upgrade. The configuration will be preserved during upgrade. Before the upgrade process, it is important to make a copy of /etc/mysql-zrm/mysql-zrm.conf* files on the ZRM server. If there are changes to this file, they will have to manually merged. Please contact Zmanda support if you need help with the merge.

Users upgrading from ZRM Enterprise 3.7 and earlier should be aware of following changes:

  1. After upgrading to ZRM 3.8, please clear browser cache before accessing Zmanda Management Console. Otherwise, cached components from ZRM 3.7 might appear in the browser.
  2. If you are performing table level restores of backups done using earlier releases of ZRM, you will have to run following command as mysql user on the ZRM server

$ /usr/bin/mysql-zrm-parse-sql --source-directory <backup image directory>
--update-table-list

 

You can upgrade the ZRM client software on the clients by running package install program such as rpmdpkgpkgadd as appropriate for the platform. If the package manager does not provide an upgrade option, you can uninstall 3.7 package and install 3.8 package.

Note: If you are planning to upgrade by uninstalling the 3.7 version and installing ZRM Enterprise 3.8, you must make a copy of /etc/mysql-zrm/mysql-zrm.conf* files on the ZRM server. Otherwise, the changes to these files will be lost (Site specific backup set configuration).

Compatibility with Amanda Enterprise

The Amanda backup server can reside on the same machine as the ZRM server.  Amanda Enteprise 3.3.x is compatible with ZRM server 3.8.  Please use the following procedure (order of steps is important):

  • Install Amanda 3.3.x or ZRM 3.8 server (i.e. install the first product if it is not installed)
  • Change permissions on /etc/zmanda directory on the backup server

# chmod 777 /etc/zmanda

  • Change permissions on the configuration files

# chmod 755 /etc/zmanda/*.cnf

  • Install ZRM 3.8/Amanda 3.3.x server (install the other product)
  • Change permissions on the configuration files that were installed in the last step

# chmod 755 /etc/zmanda/*.cnf

  • Restart the ZMC services in the following order

# /etc/init.d/zmc_aee stop

# /etc/init.d/zmc_zrm stop

# /etc/init.d/zmc_zrm start

# /etc/init.d/zmc_aee start

  • You should be able to configure Amanda and ZRM backup sets using ZMC

For installing ZRM 3.8 along with older versions of Amanda Enterprise, please contact Zmanda Support team before installation.

Note: Please ignore the message about the man page for zm-support tool is already installed when you are installing the second product.

Changes 

  • Support for MySQL 5.7 server
  • Support for Xtrabackup 2.4, MySQL Enterprise Backup 4.0 and MyDumper 0.9.1
  • Support for table level restore from database backups in ZMC. This feature is available on MySQL 5.6 or later servers and is supported for logical, parallel logical, MySQL Enterprise Backup and Xtrabackup backup methods. 
  • Numerous defect fixes.

 

 

Powered by MindTouch Deki v.8.08.2